import { makeAutoObservable } from "mobx";

class Todo {
    todos = [
        {id:1, title: 'First', completed:false}, {id:2, title: 'Second', completed:false}, {id:3, title: 'Third', completed:false},
    ]
    constructor() {
        makeAutoObservable(this)
    }

    addTodo(todo) {
        this.todos.push(todo)
    }

    removeTodo(id) {
        this.todos = this.todos.filter(todo => todo.id !== id)
        console.log('remove')
    }

    compliteTodo(id) {
        this.todos = this.todos.map(todo => todo.id === id ? {...todo, completed: !todo.completed} : todo)
        console.log('complite')
    }
}

export default new Todo();